:root {
  --actionsDisplay: flex;
  --originDisplay: flex;
  --createdDisplay: flex;
  --extensionDisplay: flex;
  --authorDisplay: flex;
}

html {
  overflow-y: overlay;
}

div.mainHeader.MuiDataGrid-columnHeader {
  padding-left: 15px;
}

.MuiDataGrid-columnSeparator {
  display: none !important;
}

.fileCell {
  color: #1C1C1C;
  cursor: pointer;
}

.fileCell:hover{
  text-decoration: underline;
}

.pillBanner {
  width: 100%;
  min-height: 50px;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 9px 3px;
  border: none;
  padding-right: 18px;
  min-width: 590px;
}

.actionsContainer {
  display: flex;
  flex-wrap: wrap-reverse;
  flex-direction: row-reverse;
  gap: 8px;
}

div.mainFolderDropzoneBanner {
  justify-content: left;
  box-shadow: var(--mainFolderDropzoneShadow);
  background: var(--mainFolderDropzoneBackground, #eef3f7);
}

.goToPendingBanner, .exitPendingBanner {
  cursor: pointer;
  background: #e3e3a7;
  padding-left: 11px;
}

.goToPendingBanner:hover, .exitPendingBanner:hover {
  background: #dddd9b;
  box-shadow: 0px 0px 5px 2px #0000001f;
}

.mainFolderDropzoneBanner {
  padding-left: 11px;
}

.documentsBanner, .mainFolderDropzoneBanner {
  justify-content: space-between;
  background: #eef3f7;
}

.ms-icon {
  width: 39px;
  height: 39px;
  min-width: 39px;
  min-height: 39px;
  background-size: contain;
}

.ms-word-icon {
  background-image: url(/images/icon-ms-word.png)
}

.ms-powerpoint-icon {
  background-image: url(/images/icon-ms-powerpoint.png)
}

.ms-excel-icon {
  background-image: url(/images/icon-ms-excel.png)
}

.pdf-icon {
  width: 17px;
  height: 17px;
  min-width: 17px;
  min-height: 17px;
  background-size: contain;
  background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="256" height="256"><path fill="%23FA0F00" d="M45.257 0h165.485C235.886 0 256 20.114 256 45.257v165.486C256 235.886 235.886 256 210.742 256H45.257C20.114 256 0 235.886 0 210.743V45.257C0 20.114 20.114 0 45.257 0z"/><path fill="%23FFF" d="M204.144 147.657c-11.887-12.343-44.344-7.314-52.115-6.4-11.428-10.972-19.199-24.229-21.942-28.8 4.114-12.343 6.856-24.686 7.314-37.942 0-11.429-4.571-23.771-17.372-23.771-4.571 0-8.686 2.742-10.972 6.399-5.485 9.601-3.2 28.801 5.486 48.458-5.028 14.171-9.6 27.885-22.4 52.114-13.257 5.484-41.143 18.285-43.429 32-.914 4.113.457 8.229 3.657 11.428 3.2 2.743 7.314 4.114 11.429 4.114 16.914 0 33.371-23.313 44.8-42.972 9.6-3.199 24.686-7.771 39.772-10.514 17.828 15.543 33.371 17.828 41.6 17.828 10.971 0 15.086-4.571 16.457-8.686 2.285-4.57.914-9.599-2.285-13.256zm-11.43 7.772c-.457 3.2-4.57 6.399-11.885 4.571-8.686-2.285-16.457-6.4-23.314-11.886 5.943-.915 19.199-2.286 28.8-.457 3.657.914 7.314 3.2 6.399 7.772zm-76.342-94.172c.914-1.371 2.286-2.285 3.657-2.285 4.114 0 5.028 5.028 5.028 9.143-.457 9.601-2.286 19.2-5.485 28.343-6.858-18.286-5.486-31.087-3.2-35.201zm-.914 88.686c3.657-7.314 8.686-20.115 10.514-25.601 4.114 6.856 10.971 15.086 14.629 18.743 0 .458-14.172 3.2-25.143 6.858zm-26.972 18.286C77.972 185.6 67 196.571 61.057 196.571c-.914 0-1.829-.457-2.743-.914-1.372-.915-1.829-2.286-1.372-4.114 1.372-6.4 13.258-15.086 31.544-23.314z"/></svg>');
}

.datagrid {
  min-height: 340px;
  border: 1px solid rgba(200, 200, 200, 1);
  border-radius: 4px;
  flex: 1;
  box-sizing: border-box;
  position: relative;
  color: rgba(0, 0, 0, 0.87);
  font-family: "Roboto","Helvetica","Arial",sans-serif;
  font-weight: 400;
  font-size: 0.875rem;
  line-height: 1.43;
  letter-spacing: 0.01071em;
  outline: none;
  display: flex;
  min-width: 0;
  min-height: 0;
  flex-direction: column;
  overflow-anchor: none;
  overflow: auto;
}

.datagrid-body {
  overflow: auto;
}

.header {
  display: flex;
  border-bottom: 1px solid rgba(200, 200, 200, 1);
}

.row {
  border-bottom: 1px solid rgba(200, 200, 200, 1);
  display: flex;
  min-width: 475px;
}

.row-selected {
  background-color: #eef3f7;
}

.row.row-dragover {
  background-color: #feffad99;
}

.row.row-pending {
  background-color: #ffffcc;
}

.row.row-pending.row-selected {
  background-color: #e3e3a7;
}

.row-version {
  margin: 0 8px 0 5px;
  width: 35px;
  display: flex;
  align-items: center;
}

.row-checkbox {
  width: 45px;
  min-width: 45px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.row-title {
  min-width: 200px;
  flex: 1;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

.row-placeholder {
  width: 8px;
}

.row>.row-title {
  margin: 10px 0px;
}

.row-expander {
  display: flex;
  align-items: center;
  min-width: 13px;
  width: 13px;
}

.row.row-nonarchiveable {
  background-color: rgba(255, 0, 0, 0.12);
}

.row.row-nonarchiveable.row-selected {
  background-color: rgba(255, 0, 0, 0.12);
}

.row-icon {
  display: flex;
  width: 30px;
  min-width: 30px;
  align-items: center;
  justify-content: start;
}

.titleIcons {
  /* min-width: 60px; */
  margin-left: 8px;
  display: flex;
  gap: 4px;
  justify-content: end;
  align-items: center;
  /* padding-right: 15px; */
}

.row-created {
  margin-right: 6px;
  width: 90px;
  display: var(--createdDisplay); 
  align-items: center;
}

.row-origin {
  margin-right: 4px;
  width: 70px;
  display: var(--originDisplay); 
  align-items: center;
}

.row-origindate {
  margin-right: 4px;
  width: 70px;
  display: var(--originDisplay); 
  align-items: center;
}

.row-extension {
  margin-right: 4px;
  width: 58px;
  display: var(--extensionDisplay); 
  align-items: center;
}

.light {
  opacity: 0.6;
}

.row-author {
  width: 100px;
  display: var(--authorDisplay); 
  align-items: center;
  overflow: auto;
}

.row-actions {
  width: 117px;
  display: var(--actionsDisplay); 
  align-items: center;
  margin-right: 10px;
}

.datagrid-accepted>.header>.row-actions {
  display: none;
}

.documentExplorer {
  height: 100%;
  width: 100%;
  padding: 10px 20px 20px 20px;
  transition: opacity 0.4s allow-discrete;
}

.datagrid-body>.row {
  padding: 4px 8px 4px 0;
  min-height: 45px;
}

.header>.row-title {
  height: 50px;
}

.labelsContainer {
  margin-top: 30px;
  flex-flow: wrap;
  max-height: 110px;
  overflow: auto;
  margin-bottom: 12px;
  display: flex;
  gap: 7px;
}

.titleLabels {
  margin-right: 15px;
  margin-left: 5px; 
  display: flex;
  align-items: center;
  flex-flow: wrap;
}

.selected-count {
  margin: 1px 30px 0 55px;
  font-size: 15px; 
  white-space: nowrap;
}

.ellipsis {
  text-overflow: ellipsis;
  overflow: hidden;
}

.rowTitleText {
  max-width: 450px;
}